<?php

namespace DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\ConditionalLogic\Conditions;

use DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\ConditionalLogic\Conditions\Abstraction\Condition;
use DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\ConditionalLogic\Conditions\Abstraction\ConditionOperator;
class EmptyCondition implements Condition, ConditionOperator
{
    public function is_valid($field_value): bool
    {
        return empty($field_value);
    }
    public static function get_operator(): string
    {
        return 'NOT EXISTS';
    }
    public static function get_operator_value($value): string
    {
        return $value;
    }
    public static function get_name(): string
    {
        return 'empty';
    }
    public static function get_nice_name(): string
    {
        return __('is empty', 'dropshipping-export-free');
    }
}
